package com.ywt.outpatient.domain.entity.center;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import java.util.Date;

/**
 * 账户明细实体
 */
@Entity
@Table(name = "account_detail")
public class AccountDetail {

    @Id
    private Integer id;

    /**
     * 创建时间
     */
    @Column(name = "create_time", nullable = false)
    private Date createTime;

    /**
     * 状态
     */
    @Column(name = "status", nullable = false)
    private Integer status;

    /**
     * 明细类型（2-提现）
     */
    @Column(name = "type", nullable = false)
    private Integer type;

    /**
     * 是否删除
     */
    @Column(name = "deleted", nullable = false)
    private Boolean deleted;

    /**
     * 账户余额
     */
    @Column(name = "balance", nullable = false)
    private Integer balance;

    /**
     * 变动金额
     */
    @Column(name = "amount", nullable = false)
    private Integer amount;

    /**
     * 用户ID
     */
    @Column(name = "user_id", nullable = false)
    private Integer userId;

    /**
     * 电子钱包id
     */
    @Column(name = "account_id", nullable = false)
    private Integer accountId;

    /**
     * 明细标题
     */
    @Column(name = "title", nullable = false)
    private String title;

    /**
     * 备注
     */
    @Column(name = "remark")
    private String remark;

    /**
     * 对象Id
     */
    @Column(name = "object_id")
    private String objectId;

    /**
     * 应缴税额
     */
    @Column(name = "show_pay_tax", nullable = false)
    private Integer showPayTax;


    /**
     * 手续费
     */
    @Column(name = "formalities_tax", nullable = false)
    private Integer formalitiesTax;


    /**
     * 实际到账金额
     */
    @Column(name = "actual_receipt", nullable = false)
    private Integer actualReceipt;


    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public Boolean getDeleted() {
        return deleted;
    }

    public void setDeleted(Boolean deleted) {
        this.deleted = deleted;
    }

    public Integer getBalance() {
        return balance;
    }

    public void setBalance(Integer balance) {
        this.balance = balance;
    }

    public Integer getAmount() {
        return amount;
    }

    public void setAmount(Integer amount) {
        this.amount = amount;
    }

    public Integer getUserId() {
        return userId;
    }

    public void setUserId(Integer userId) {
        this.userId = userId;
    }

    public Integer getAccountId() {
        return accountId;
    }

    public void setAccountId(Integer accountId) {
        this.accountId = accountId;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getObjectId() {
        return objectId;
    }

    public void setObjectId(String objectId) {
        this.objectId = objectId;
    }

    public Integer getShowPayTax() {
        return showPayTax;
    }

    public void setShowPayTax(Integer showPayTax) {
        this.showPayTax = showPayTax;
    }

    public Integer getFormalitiesTax() {
        return formalitiesTax;
    }

    public void setFormalitiesTax(Integer formalitiesTax) {
        this.formalitiesTax = formalitiesTax;
    }

    public Integer getActualReceipt() {
        return actualReceipt;
    }

    public void setActualReceipt(Integer actualReceipt) {
        this.actualReceipt = actualReceipt;
    }
}
